package com.sunxung.factoring.web.cashflowmanage.vo;

import java.math.BigDecimal;

/**
 * @Description : 放款记录与账后收放款计划、对应应收账款关联关系表(贸理通业务)
 * @Author : L.Jia
 * @Date: 2021-4-11 18:20
 */
public class ReceivablesLoanRecordPlanFactoringRel {

    /**
     * id
     */
    private Long id;

    /**
     * 保理业务出账记录表Id
     */
    private Long billingFactoringBusinessLoanRecordId;

    /**
     * 账后收放款计划Id
     */
    private Long payCollPlanFactoringId;

    /**
     * 对应应收账款的Id
     */
    private Long accountsReceivableId;

    /**
     * 对应应收账款放款金额
     */
    private BigDecimal receivablesLoanAmount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBillingFactoringBusinessLoanRecordId() {
        return billingFactoringBusinessLoanRecordId;
    }

    public void setBillingFactoringBusinessLoanRecordId(Long billingFactoringBusinessLoanRecordId) {
        this.billingFactoringBusinessLoanRecordId = billingFactoringBusinessLoanRecordId;
    }

    public Long getPayCollPlanFactoringId() {
        return payCollPlanFactoringId;
    }

    public void setPayCollPlanFactoringId(Long payCollPlanFactoringId) {
        this.payCollPlanFactoringId = payCollPlanFactoringId;
    }

    public Long getAccountsReceivableId() {
        return accountsReceivableId;
    }

    public void setAccountsReceivableId(Long accountsReceivableId) {
        this.accountsReceivableId = accountsReceivableId;
    }

    public BigDecimal getReceivablesLoanAmount() {
        return receivablesLoanAmount;
    }

    public void setReceivablesLoanAmount(BigDecimal receivablesLoanAmount) {
        this.receivablesLoanAmount = receivablesLoanAmount;
    }
}
